std::chrono::operator==,(std::chrono::month_day)(3)

NAME
std::chrono::operator==,(std::chrono::month_day) - std::chrono::operator==,(std::chrono::month_day)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::month_day& x, (1) (since C++20)
   const std::chrono::month_day& y ) noexcept;
   constexpr std::strong_ordering operator<=>( const
   std::chrono::month_day& x, (2) (since C++20)
   const std::chrono::month_day& y ) noexcept;
   Compares two month_day values.
   The <, <=, >, >=, and != operators are synthesized from operator<=> and operator==
   respectively.

Return value
   1) x.month() == y.month() && x.day() == y.day()
   2) x.month() <=> y.month() != 0 ? x.month() <=> y.month() : x.day() <=> y.day()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     constexpr auto md1 {std::chrono::August/15};
     constexpr auto md2 {std::chrono::month(8)/std::chrono::day(15)};
     std::cout << std::boolalpha << (md1 == md2) << '\n';
     static_assert(md1 <= md2);
 }

Output:
 true